var $ = require('jquery');

$(function(){
  var forms = $("form[novalidate]");

  $.each(forms, function(idx, el){
    el.on("submit", handleSubmit);

    $.each(el, function(idx, input){
      $(input).on("blur", handleBlur);
    });
  });
});

var addError = function addError(input) {
  $(input).closest(".form-group").addClass('has-error');
  $(input).after("<span class='help-block has-error'>" + input.validationMessage + "</span>");
};

var removeError = function removeError(input) {
  $(input).closest(".form-group").removeClass('has-error');
  $(input).parent().find(".has-error").remove();
};

var handleSubmit = function handleSubmit(e){
  var form = e.target;
  if (!form.checkValidity()) {
    e.preventDefault();
    var inputs = $(form).find("input");
    $.each(inputs, function(idx, input){
      if(!input.checkValidity()) {
        addError(input);
      }
    });
  }
};

var handleBlur = function handleBlur(e) {
  var input = e.target;
  if(!input.checkValidity()) {
    addError(input);
  } else {
    removeError(input);
  }
};
